> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Snowflake connection properties API

> Properties required to create and update Snowflake connections

Properties for Snowflake connections are specified in the `properties` object when creating or updating a connection. All properties are nested within the connection request body.

## Properties

<ParamField body="authType" type="string" required>
  Authentication type for Snowflake. Use `pwd` for password authentication.
</ParamField>

<ParamField body="account" type="string" required>
  Snowflake account identifier.

  Format: `{account_identifier}.{region}.{cloud_provider}.snowflakecomputing.com`
</ParamField>

<ParamField body="username" type="string" required>
  Snowflake username for authentication.
</ParamField>

<ParamField body="password" type="object" required>
  Reference to a Prophecy secret containing the Snowflake password.

  * When using the [create connection API](/api-reference/connections/add-connection-to-fabric), the secret must be stored in Prophecy before creating the connection.
  * When using the [create fabric API](/api-reference/fabrics/create-a-new-fabric), replace this whole object with the string `{{SECRET}}`, which references the secret being created in parallel to the connection.

  <Expandable title="password properties">
    <ParamField body="password.kind" type="string" required>
      Secret kind. Must be `prophecy`.
    </ParamField>

    <ParamField body="password.subKind" type="string" required>
      Secret sub-type. Must be `text` for passwords.
    </ParamField>

    <ParamField body="password.type" type="string" required>
      Type of reference. Must be `secret`.
    </ParamField>

    <ParamField body="password.properties" type="object" required>
      Properties identifying the secret by ID and name.
    </ParamField>

    <ParamField body="password.properties.id" type="string" required>
      The ID of the secret stored in Prophecy. Find the ID using the [List secrets per fabric
      API](/api-reference/secrets/list-secrets-per-fabric).
    </ParamField>

    <ParamField body="password.properties.name" type="string" required>
      The name of the secret stored in Prophecy.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="warehouse" type="string" required>
  Snowflake warehouse where Prophecy will write data by default.
</ParamField>

<ParamField body="database" type="string" required>
  Database where Prophecy will write data by default.
</ParamField>

<ParamField body="schema" type="string" required>
  Schema where Prophecy will write data by default.
</ParamField>

<ParamField body="role" type="string" required>
  Snowflake role to use for the connection. Determines the permissions and access level for
  operations.
</ParamField>
